#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides gravatar support
Name:           libgravatar
Epoch:          2
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5AkonadiContact) >= 5.3.1
BuildRequires:  cmake(KF5PimCommon) >= 5.3.90


%description
This lib provides gravatar support.

%files -f %name.lang
%_kf5_categoriesdir/libgravatar.categories
%_kf5_categoriesdir/libgravatar.renamecategories

#--------------------------------------------------------------------

%define kf5gravatar_major 5
%define libkf5gravatar %mklibname kf5gravatar %{kf5gravatar_major}

%package -n %libkf5gravatar
Summary:        This lib provides gravatar support
Group:          System/Libraries

Requires:       %name >= %epoch:%version

Obsoletes:      %{_lib}kf5gravatar_5 < 2:19.04.3-2

%description -n %libkf5gravatar
This lib provides gravatar support.

%files -n %libkf5gravatar
%_kf5_libdir/libKF5Gravatar.so.%{kf5gravatar_major}{,.*}

#--------------------------------------------------------------------

%define kf5gravatar_devel %mklibname kf5gravatar -d

%package -n %kf5gravatar_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5gravatar = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5gravatar_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5gravatar_devel
%_kf5_includedir/Gravatar/
%_kf5_includedir/gravatar/
%_kf5_includedir/gravatar_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Gravatar/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name



%changelog
* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655680
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644062
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633878
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627121
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614989
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604185
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596923
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584569
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568199
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559388
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540769
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513365
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467016
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457965
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447646
- New version 19.08.1

* Tue Jul 30 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426042
- fix library pkg name (remove unneeded underscore)

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426011
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390511
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387718
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383049
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375719
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365634
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356571
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339576
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332806
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327459
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298885
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229092
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201955
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194977
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186519
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143110
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139018
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131233
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090140
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076882
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073772
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067394
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061457
- New version 16.08.2

* Sun Sep 18 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1053934
- Rebuild for ARM

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051751
- New version 16.08.1

* Tue Aug 23 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1047947
- fix BR adding cmake(KF5AkonadiContact) >= 5.3.0
+ neoclust <neoclust>
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040122
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012612
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004401
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997285
- Add missing epoch

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997262
- imported package libgravatar

